import json
import logging
from pathlib import Path

from xmlschema import *

from translate_schema import *

logging.basicConfig(level = logging.DEBUG)

if __name__ == "__main__":    
    # js = translate_schema("103280/TS_103_280.xsd", "103120.json")
    # print(json.dumps(js, indent=2))
    schemas = [ "103120/schema/ts_103120_Authorisation.xsd",
                "103120/schema/ts_103120_Common.xsd",
                "103120/schema/ts_103120_Delivery.xsd",
                "103120/schema/ts_103120_Document.xsd",
                "103120/schema/ts_103120_Notification.xsd",
                "103120/schema/ts_103120_Task.xsd",
                "103280/TS_103_280.xsd",
                "testing/deps/xmldsig/xmldsig-core-schema.xsd"]

    schema_locations = []
    for schemaFile in schemas:
        try:
            xs = XMLSchema(schemaFile, validation='skip')
            schema_locations.append((xs.target_namespace, str(Path(schemaFile).resolve())))
            print (" [ {0}  ->  {1} ]".format(xs.target_namespace, schemaFile))
        except XMLSchemaParseError as ex:
            print (" [ {0} failed to parse:  {1} ]".format(schemaFile, ex))

    js = translate_schema("103120/schema/ts_103120_core.xsd", "core.json", schema_locations)
    print(json.dumps(js, indent=2))
